ErrNo (JNA API)
Description: declaration: package: com.sun.jna.platform.linux, interface: ErrNo

Package com.sun.jna.platform.linux

# Interface ErrNo

public interface ErrNo
System error codes set in `errno` and retrieved by `Native.getLastError()`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `E2BIG`
  `static final int`
  `EACCES`
  `static final int`
  `EADDRINUSE`
  `static final int`
  `EADDRNOTAVAIL`
  `static final int`
  `EADV`
  `static final int`
  `EAFNOSUPPORT`
  `static final int`
  `EAGAIN`
  `static final int`
  `EALREADY`
  `static final int`
  `EBADE`
  `static final int`
  `EBADF`
  `static final int`
  `EBADFD`
  `static final int`
  `EBADMSG`
  `static final int`
  `EBADR`
  `static final int`
  `EBADRQC`
  `static final int`
  `EBADSLT`
  `static final int`
  `EBFONT`
  `static final int`
  `EBUSY`
  `static final int`
  `ECANCELED`
  `static final int`
  `ECHILD`
  `static final int`
  `ECHRNG`
  `static final int`
  `ECOMM`
  `static final int`
  `ECONNABORTED`
  `static final int`
  `ECONNREFUSED`
  `static final int`
  `ECONNRESET`
  `static final int`
  `EDEADLK`
  `static final int`
  `EDESTADDRREQ`
  `static final int`
  `EDOM`
  `static final int`
  `EDOTDOT`
  `static final int`
  `EDQUOT`
  `static final int`
  `EEXIST`
  `static final int`
  `EFAULT`
  `static final int`
  `EFBIG`
  `static final int`
  `EHOSTDOWN`
  `static final int`
  `EHOSTUNREACH`
  `static final int`
  `EIDRM`
  `static final int`
  `EILSEQ`
  `static final int`
  `EINPROGRESS`
  `static final int`
  `EINTR`
  `static final int`
  `EINVAL`
  `static final int`
  `EIO`
  `static final int`
  `EISCONN`
  `static final int`
  `EISDIR`
  `static final int`
  `EISNAM`
  `static final int`
  `EKEYEXPIRED`
  `static final int`
  `EKEYREJECTED`
  `static final int`
  `EKEYREVOKED`
  `static final int`
  `EL2HLT`
  `static final int`
  `EL2NSYNC`
  `static final int`
  `EL3HLT`
  `static final int`
  `EL3RST`
  `static final int`
  `ELIBACC`
  `static final int`
  `ELIBBAD`
  `static final int`
  `ELIBEXEC`
  `static final int`
  `ELIBMAX`
  `static final int`
  `ELIBSCN`
  `static final int`
  `ELNRNG`
  `static final int`
  `ELOOP`
  `static final int`
  `EMEDIUMTYPE`
  `static final int`
  `EMFILE`
  `static final int`
  `EMLINK`
  `static final int`
  `EMSGSIZE`
  `static final int`
  `EMULTIHOP`
  `static final int`
  `ENAMETOOLONG`
  `static final int`
  `ENAVAIL`
  `static final int`
  `ENETDOWN`
  `static final int`
  `ENETRESET`
  `static final int`
  `ENETUNREACH`
  `static final int`
  `ENFILE`
  `static final int`
  `ENOANO`
  `static final int`
  `ENOBUFS`
  `static final int`
  `ENOCSI`
  `static final int`
  `ENODATA`
  `static final int`
  `ENODEV`
  `static final int`
  `ENOENT`
  `static final int`
  `ENOEXEC`
  `static final int`
  `ENOKEY`
  `static final int`
  `ENOLCK`
  `static final int`
  `ENOLINK`
  `static final int`
  `ENOMEDIUM`
  `static final int`
  `ENOMEM`
  `static final int`
  `ENOMSG`
  `static final int`
  `ENONET`
  `static final int`
  `ENOPKG`
  `static final int`
  `ENOPROTOOPT`
  `static final int`
  `ENOSPC`
  `static final int`
  `ENOSR`
  `static final int`
  `ENOSTR`
  `static final int`
  `ENOSYS`
  `static final int`
  `ENOTBLK`
  `static final int`
  `ENOTCONN`
  `static final int`
  `ENOTDIR`
  `static final int`
  `ENOTEMPTY`
  `static final int`
  `ENOTNAM`
  `static final int`
  `ENOTRECOVERABLE`
  `static final int`
  `ENOTSOCK`
  `static final int`
  `ENOTTY`
  `static final int`
  `ENOTUNIQ`
  `static final int`
  `ENXIO`
  `static final int`
  `EOPNOTSUPP`
  `static final int`
  `EOVERFLOW`
  `static final int`
  `EOWNERDEAD`
  `static final int`
  `EPERM`
  `static final int`
  `EPFNOSUPPORT`
  `static final int`
  `EPIPE`
  `static final int`
  `EPROTO`
  `static final int`
  `EPROTONOSUPPORT`
  `static final int`
  `EPROTOTYPE`
  `static final int`
  `ERANGE`
  `static final int`
  `EREMCHG`
  `static final int`
  `EREMOTE`
  `static final int`
  `EREMOTEIO`
  `static final int`
  `ERESTART`
  `static final int`
  `EROFS`
  `static final int`
  `ESHUTDOWN`
  `static final int`
  `ESOCKTNOSUPPORT`
  `static final int`
  `ESPIPE`
  `static final int`
  `ESRCH`
  `static final int`
  `ESRMNT`
  `static final int`
  `ESTALE`
  `static final int`
  `ESTRPIPE`
  `static final int`
  `ETIME`
  `static final int`
  `ETIMEDOUT`
  `static final int`
  `ETOOMANYREFS`
  `static final int`
  `ETXTBSY`
  `static final int`
  `EUCLEAN`
  `static final int`
  `EUNATCH`
  `static final int`
  `EUSERS`
  `static final int`
  `EXDEV`
  `static final int`
  `EXFULL`

- ## Field Details

  - ### EPERM

    static final int EPERM
    See Also:
      - Constant Field Values

  - ### ENOENT

    static final int ENOENT
    See Also:
      - Constant Field Values

  - ### ESRCH

    static final int ESRCH
    See Also:
      - Constant Field Values

  - ### EINTR

    static final int EINTR
    See Also:
      - Constant Field Values

  - ### EIO

    static final int EIO
    See Also:
      - Constant Field Values

  - ### ENXIO

    static final int ENXIO
    See Also:
      - Constant Field Values

  - ### E2BIG

    static final int E2BIG
    See Also:
      - Constant Field Values

  - ### ENOEXEC

    static final int ENOEXEC
    See Also:
      - Constant Field Values

  - ### EBADF

    static final int EBADF
    See Also:
      - Constant Field Values

  - ### ECHILD

    static final int ECHILD
    See Also:
      - Constant Field Values

  - ### EAGAIN

    static final int EAGAIN
    See Also:
      - Constant Field Values

  - ### ENOMEM

    static final int ENOMEM
    See Also:
      - Constant Field Values

  - ### EACCES

    static final int EACCES
    See Also:
      - Constant Field Values

  - ### EFAULT

    static final int EFAULT
    See Also:
      - Constant Field Values

  - ### ENOTBLK

    static final int ENOTBLK
    See Also:
      - Constant Field Values

  - ### EBUSY

    static final int EBUSY
    See Also:
      - Constant Field Values

  - ### EEXIST

    static final int EEXIST
    See Also:
      - Constant Field Values

  - ### EXDEV

    static final int EXDEV
    See Also:
      - Constant Field Values

  - ### ENODEV

    static final int ENODEV
    See Also:
      - Constant Field Values

  - ### ENOTDIR

    static final int ENOTDIR
    See Also:
      - Constant Field Values

  - ### EISDIR

    static final int EISDIR
    See Also:
      - Constant Field Values

  - ### EINVAL

    static final int EINVAL
    See Also:
      - Constant Field Values

  - ### ENFILE

    static final int ENFILE
    See Also:
      - Constant Field Values

  - ### EMFILE

    static final int EMFILE
    See Also:
      - Constant Field Values

  - ### ENOTTY

    static final int ENOTTY
    See Also:
      - Constant Field Values

  - ### ETXTBSY

    static final int ETXTBSY
    See Also:
      - Constant Field Values

  - ### EFBIG

    static final int EFBIG
    See Also:
      - Constant Field Values

  - ### ENOSPC

    static final int ENOSPC
    See Also:
      - Constant Field Values

  - ### ESPIPE

    static final int ESPIPE
    See Also:
      - Constant Field Values

  - ### EROFS

    static final int EROFS
    See Also:
      - Constant Field Values

  - ### EMLINK

    static final int EMLINK
    See Also:
      - Constant Field Values

  - ### EPIPE

    static final int EPIPE
    See Also:
      - Constant Field Values

  - ### EDOM

    static final int EDOM
    See Also:
      - Constant Field Values

  - ### ERANGE

    static final int ERANGE
    See Also:
      - Constant Field Values

  - ### EDEADLK

    static final int EDEADLK
    See Also:
      - Constant Field Values

  - ### ENAMETOOLONG

    static final int ENAMETOOLONG
    See Also:
      - Constant Field Values

  - ### ENOLCK

    static final int ENOLCK
    See Also:
      - Constant Field Values

  - ### ENOSYS

    static final int ENOSYS
    See Also:
      - Constant Field Values

  - ### ENOTEMPTY

    static final int ENOTEMPTY
    See Also:
      - Constant Field Values

  - ### ELOOP

    static final int ELOOP
    See Also:
      - Constant Field Values

  - ### ENOMSG

    static final int ENOMSG
    See Also:
      - Constant Field Values

  - ### EIDRM

    static final int EIDRM
    See Also:
      - Constant Field Values

  - ### ECHRNG

    static final int ECHRNG
    See Also:
      - Constant Field Values

  - ### EL2NSYNC

    static final int EL2NSYNC
    See Also:
      - Constant Field Values

  - ### EL3HLT

    static final int EL3HLT
    See Also:
      - Constant Field Values

  - ### EL3RST

    static final int EL3RST
    See Also:
      - Constant Field Values

  - ### ELNRNG

    static final int ELNRNG
    See Also:
      - Constant Field Values

  - ### EUNATCH

    static final int EUNATCH
    See Also:
      - Constant Field Values

  - ### ENOCSI

    static final int ENOCSI
    See Also:
      - Constant Field Values

  - ### EL2HLT

    static final int EL2HLT
    See Also:
      - Constant Field Values

  - ### EBADE

    static final int EBADE
    See Also:
      - Constant Field Values

  - ### EBADR

    static final int EBADR
    See Also:
      - Constant Field Values

  - ### EXFULL

    static final int EXFULL
    See Also:
      - Constant Field Values

  - ### ENOANO

    static final int ENOANO
    See Also:
      - Constant Field Values

  - ### EBADRQC

    static final int EBADRQC
    See Also:
      - Constant Field Values

  - ### EBADSLT

    static final int EBADSLT
    See Also:
      - Constant Field Values

  - ### EBFONT

    static final int EBFONT
    See Also:
      - Constant Field Values

  - ### ENOSTR

    static final int ENOSTR
    See Also:
      - Constant Field Values

  - ### ENODATA

    static final int ENODATA
    See Also:
      - Constant Field Values

  - ### ETIME

    static final int ETIME
    See Also:
      - Constant Field Values

  - ### ENOSR

    static final int ENOSR
    See Also:
      - Constant Field Values

  - ### ENONET

    static final int ENONET
    See Also:
      - Constant Field Values

  - ### ENOPKG

    static final int ENOPKG
    See Also:
      - Constant Field Values

  - ### EREMOTE

    static final int EREMOTE
    See Also:
      - Constant Field Values

  - ### ENOLINK

    static final int ENOLINK
    See Also:
      - Constant Field Values

  - ### EADV

    static final int EADV
    See Also:
      - Constant Field Values

  - ### ESRMNT

    static final int ESRMNT
    See Also:
      - Constant Field Values

  - ### ECOMM

    static final int ECOMM
    See Also:
      - Constant Field Values

  - ### EPROTO

    static final int EPROTO
    See Also:
      - Constant Field Values

  - ### EMULTIHOP

    static final int EMULTIHOP
    See Also:
      - Constant Field Values

  - ### EDOTDOT

    static final int EDOTDOT
    See Also:
      - Constant Field Values

  - ### EBADMSG

    static final int EBADMSG
    See Also:
      - Constant Field Values

  - ### EOVERFLOW

    static final int EOVERFLOW
    See Also:
      - Constant Field Values

  - ### ENOTUNIQ

    static final int ENOTUNIQ
    See Also:
      - Constant Field Values

  - ### EBADFD

    static final int EBADFD
    See Also:
      - Constant Field Values

  - ### EREMCHG

    static final int EREMCHG
    See Also:
      - Constant Field Values

  - ### ELIBACC

    static final int ELIBACC
    See Also:
      - Constant Field Values

  - ### ELIBBAD

    static final int ELIBBAD
    See Also:
      - Constant Field Values

  - ### ELIBSCN

    static final int ELIBSCN
    See Also:
      - Constant Field Values

  - ### ELIBMAX

    static final int ELIBMAX
    See Also:
      - Constant Field Values

  - ### ELIBEXEC

    static final int ELIBEXEC
    See Also:
      - Constant Field Values

  - ### EILSEQ

    static final int EILSEQ
    See Also:
      - Constant Field Values

  - ### ERESTART

    static final int ERESTART
    See Also:
      - Constant Field Values

  - ### ESTRPIPE

    static final int ESTRPIPE
    See Also:
      - Constant Field Values

  - ### EUSERS

    static final int EUSERS
    See Also:
      - Constant Field Values

  - ### ENOTSOCK

    static final int ENOTSOCK
    See Also:
      - Constant Field Values

  - ### EDESTADDRREQ

    static final int EDESTADDRREQ
    See Also:
      - Constant Field Values

  - ### EMSGSIZE

    static final int EMSGSIZE
    See Also:
      - Constant Field Values

  - ### EPROTOTYPE

    static final int EPROTOTYPE
    See Also:
      - Constant Field Values

  - ### ENOPROTOOPT

    static final int ENOPROTOOPT
    See Also:
      - Constant Field Values

  - ### EPROTONOSUPPORT

    static final int EPROTONOSUPPORT
    See Also:
      - Constant Field Values

  - ### ESOCKTNOSUPPORT

    static final int ESOCKTNOSUPPORT
    See Also:
      - Constant Field Values

  - ### EOPNOTSUPP

    static final int EOPNOTSUPP
    See Also:
      - Constant Field Values

  - ### EPFNOSUPPORT

    static final int EPFNOSUPPORT
    See Also:
      - Constant Field Values

  - ### EAFNOSUPPORT

    static final int EAFNOSUPPORT
    See Also:
      - Constant Field Values

  - ### EADDRINUSE

    static final int EADDRINUSE
    See Also:
      - Constant Field Values

  - ### EADDRNOTAVAIL

    static final int EADDRNOTAVAIL
    See Also:
      - Constant Field Values

  - ### ENETDOWN

    static final int ENETDOWN
    See Also:
      - Constant Field Values

  - ### ENETUNREACH

    static final int ENETUNREACH
    See Also:
      - Constant Field Values

  - ### ENETRESET

    static final int ENETRESET
    See Also:
      - Constant Field Values

  - ### ECONNABORTED

    static final int ECONNABORTED
    See Also:
      - Constant Field Values

  - ### ECONNRESET

    static final int ECONNRESET
    See Also:
      - Constant Field Values

  - ### ENOBUFS

    static final int ENOBUFS
    See Also:
      - Constant Field Values

  - ### EISCONN

    static final int EISCONN
    See Also:
      - Constant Field Values

  - ### ENOTCONN

    static final int ENOTCONN
    See Also:
      - Constant Field Values

  - ### ESHUTDOWN

    static final int ESHUTDOWN
    See Also:
      - Constant Field Values

  - ### ETOOMANYREFS

    static final int ETOOMANYREFS
    See Also:
      - Constant Field Values

  - ### ETIMEDOUT

    static final int ETIMEDOUT
    See Also:
      - Constant Field Values

  - ### ECONNREFUSED

    static final int ECONNREFUSED
    See Also:
      - Constant Field Values

  - ### EHOSTDOWN

    static final int EHOSTDOWN
    See Also:
      - Constant Field Values

  - ### EHOSTUNREACH

    static final int EHOSTUNREACH
    See Also:
      - Constant Field Values

  - ### EALREADY

    static final int EALREADY
    See Also:
      - Constant Field Values

  - ### EINPROGRESS

    static final int EINPROGRESS
    See Also:
      - Constant Field Values

  - ### ESTALE

    static final int ESTALE
    See Also:
      - Constant Field Values

  - ### EUCLEAN

    static final int EUCLEAN
    See Also:
      - Constant Field Values

  - ### ENOTNAM

    static final int ENOTNAM
    See Also:
      - Constant Field Values

  - ### ENAVAIL

    static final int ENAVAIL
    See Also:
      - Constant Field Values

  - ### EISNAM

    static final int EISNAM
    See Also:
      - Constant Field Values

  - ### EREMOTEIO

    static final int EREMOTEIO
    See Also:
      - Constant Field Values

  - ### EDQUOT

    static final int EDQUOT
    See Also:
      - Constant Field Values

  - ### ENOMEDIUM

    static final int ENOMEDIUM
    See Also:
      - Constant Field Values

  - ### EMEDIUMTYPE

    static final int EMEDIUMTYPE
    See Also:
      - Constant Field Values

  - ### ECANCELED

    static final int ECANCELED
    See Also:
      - Constant Field Values

  - ### ENOKEY

    static final int ENOKEY
    See Also:
      - Constant Field Values

  - ### EKEYEXPIRED

    static final int EKEYEXPIRED
    See Also:
      - Constant Field Values

  - ### EKEYREVOKED

    static final int EKEYREVOKED
    See Also:
      - Constant Field Values

  - ### EKEYREJECTED

    static final int EKEYREJECTED
    See Also:
      - Constant Field Values

  - ### EOWNERDEAD

    static final int EOWNERDEAD
    See Also:
      - Constant Field Values

  - ### ENOTRECOVERABLE

    static final int ENOTRECOVERABLE
    See Also:
      - Constant Field Values